Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 7 Mar 2011 22:38:07 +1100

Hi Jens,

On Mon, 07 Mar 2011 12:16:12 +0100 Jens Axboe <[email-masked]> wrote:
>
> On 2011-03-07 12:14, Sedat Dilek wrote:
> > On 3/7/11, Tejun Heo <[email-masked]> wrote:
> >> On Mon, Mar 07, 2011 at 11:41:23AM +0100, Sedat Dilek wrote:
> >>> $ git log -1 | cat
> >>> commit c45165cd2c77843f24ca18af54044303dc2a81ab
> >>> Author: Stephen Rothwell <[email-masked]>
> >>> Date:   Mon Mar 7 17:38:41 2011 +1100
> >>>
> >>>     Add linux-next specific files for 20110307
> >>>
> >>>     Signed-off-by: Stephen Rothwell <[email-masked]>
> >>>
> >>> $ git pull
> >>> git://git.kernel.org/pub/scm/linux/kernel/git/axboe/linux-2.6-block.git
> >>> for-next
> >>> remote: Counting objects: 158, done.
> >>> remote: Compressing objects: 100% (89/89), done.
> >>> remote: Total 106 (delta 87), reused 21 (delta 17)
> >>> Receiving objects: 100% (106/106), 23.33 KiB, done.
> >>> Resolving deltas: 100% (87/87), completed with 34 local objects.
> >>> From git://git.kernel.org/pub/scm/linux/kernel/git/axboe/linux-2.6-block
> >>>  * branch            for-next   -> FETCH_HEAD
> >>> warning: too many files (created: 1120 deleted: 637), skipping inexact
> >>> rename detection
> >>> warning: too many files (created: 974 deleted: 462), skipping inexact
> >>> rename detection
> >>> Auto-merging block/blk-core.c
> >>> Auto-merging block/blk-flush.c
> >>> CONFLICT (content): Merge conflict in block/blk-flush.c
> >>> Auto-merging block/cfq-iosched.c
> >>> CONFLICT (content): Merge conflict in block/cfq-iosched.c
> >>> Automatic merge failed; fix conflicts and then commit the result.
> >>
> >> Ummm... don't those conflicts come from Stephen's commits?  You would
> >> need to revert the merge and fixup commits and then pull in the block
> >> branch.
> > 
> > I have reverted the merge-fix from Stephen "[PATCH] block: update for
> > __blk_run_queue() API update" which changed block/blk-flush.c, this
> > remains:
> > ...
> > CONFLICT (content): Merge conflict in block/cfq-iosched.c

This is a different conflict that git resolved on its own.

> > As it is 12p.m. and sun shining, my decision and direction is clear:
> > Lunch + City.
> 
> Just checked here, I can pull my for-next cleanly into Linus' master.
> What is the block tree for-next branch sha?

This the correct test, trying to remerge a tree into linux-next is bound
to have some conflicts.

I will let you know tomorrow, but I expect no problems.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/